summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-accessibility')
-rw-r--r--app-accessibility/at-spi2-atk/at-spi2-atk-2.38.0.ebuild5
-rw-r--r--app-accessibility/at-spi2-core/Manifest5
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.42.0.ebuild (renamed from app-accessibility/at-spi2-core/at-spi2-core-2.40.3.ebuild)4
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.44.0.ebuild56
-rw-r--r--app-accessibility/at-spi2-core/at-spi2-core-2.44.1.ebuild (renamed from app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild)4
-rw-r--r--app-accessibility/at-spi2-core/files/2.44.0-Fix-build-with-X11-disabled.patch38
-rw-r--r--app-accessibility/at-spi2-core/files/at-spi2-core-2.42.0-fix-disabling-x11.patch36
-rw-r--r--app-accessibility/brltty/Manifest1
-rw-r--r--app-accessibility/brltty/brltty-6.1-r1.ebuild4
-rw-r--r--app-accessibility/brltty/brltty-6.4-r1.ebuild221
-rw-r--r--app-accessibility/brltty/brltty-6.4.ebuild210
-rw-r--r--app-accessibility/brltty/files/brltty-6.4-respect-AR.patch13
-rw-r--r--app-accessibility/brltty/files/brltty.initd11
-rw-r--r--app-accessibility/brltty/metadata.xml2
-rw-r--r--app-accessibility/caribou/caribou-0.4.21-r3.ebuild98
-rw-r--r--app-accessibility/caribou/caribou-0.4.21-r4.ebuild2
-rw-r--r--app-accessibility/edbrowse/Manifest3
-rw-r--r--app-accessibility/edbrowse/edbrowse-3.7.5.1-r3.ebuild45
-rw-r--r--app-accessibility/edbrowse/edbrowse-3.8.2.1-r1.ebuild50
-rw-r--r--app-accessibility/edbrowse/files/edbrowse-3.7.5.1-fno-common.patch11
-rw-r--r--app-accessibility/edbrowse/files/edbrowse-3.7.5.1-manpage.patch23
-rw-r--r--app-accessibility/edbrowse/files/edbrowse-3.8.2.1-respect-ldflags.patch13
-rw-r--r--app-accessibility/edbrowse/metadata.xml3
-rw-r--r--app-accessibility/espeak-ng/Manifest2
-rw-r--r--app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild88
-rw-r--r--app-accessibility/espeak-ng/espeak-ng-1.51.ebuild (renamed from app-accessibility/espeak-ng/espeak-ng-1.50.ebuild)28
-rw-r--r--app-accessibility/espeak-ng/espeak-ng-9999.ebuild21
-rw-r--r--app-accessibility/espeakup/espeakup-0.90.ebuild4
-rw-r--r--app-accessibility/kontrast/Manifest4
-rw-r--r--app-accessibility/kontrast/kontrast-21.12.3.ebuild (renamed from app-accessibility/kontrast/kontrast-21.04.3.ebuild)9
-rw-r--r--app-accessibility/kontrast/kontrast-22.04.1.ebuild (renamed from app-accessibility/kontrast/kontrast-21.08.3-r1.ebuild)13
-rw-r--r--app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild4
-rw-r--r--app-accessibility/mbrola/mbrola-3.3-r1.ebuild4
-rw-r--r--app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild2
-rw-r--r--app-accessibility/orca/Manifest4
-rw-r--r--app-accessibility/orca/orca-41.2.ebuild (renamed from app-accessibility/orca/orca-40.0.ebuild)8
-rw-r--r--app-accessibility/orca/orca-42.0.ebuild63
-rw-r--r--app-accessibility/orca/orca-42.1.ebuild63
-rw-r--r--app-accessibility/powiedz/powiedz-1.0-r2.ebuild4
-rw-r--r--app-accessibility/speech-dispatcher/Manifest1
-rw-r--r--app-accessibility/speech-dispatcher/metadata.xml1
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild117
-rw-r--r--app-accessibility/yasr/yasr-0.6.9-r1.ebuild4
43 files changed, 1056 insertions, 246 deletions
diff --git a/app-accessibility/at-spi2-atk/at-spi2-atk-2.38.0.ebuild b/app-accessibility/at-spi2-atk/at-spi2-atk-2.38.0.ebuild
index 1fc77f05abe..9049aca81d4 100644
--- a/app-accessibility/at-spi2-atk/at-spi2-atk-2.38.0.ebuild
+++ b/app-accessibility/at-spi2-atk/at-spi2-atk-2.38.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,7 +10,7 @@ HOMEPAGE="https://wiki.gnome.org/Accessibility"
LICENSE="LGPL-2.1+"
SLOT="2"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"
@@ -22,6 +22,7 @@ RDEPEND="
"
DEPEND="${RDEPEND}"
BDEPEND="
+ gnome-base/gsettings-desktop-schemas
virtual/pkgconfig
test? ( >=dev-libs/libxml2-2.9.1 )
"
diff --git a/app-accessibility/at-spi2-core/Manifest b/app-accessibility/at-spi2-core/Manifest
index bed66912c45..870221f601b 100644
--- a/app-accessibility/at-spi2-core/Manifest
+++ b/app-accessibility/at-spi2-core/Manifest
@@ -1,2 +1,3 @@
-DIST at-spi2-core-2.40.2.tar.xz 197476 BLAKE2B a3b6f1edb7beace2a54cc651f8bf5d002009a3d2791306f2b0a33c351c68d04e0a1003ab11f215333d498c50d17139b978e7f232df802f6c620bbe31997a8e1c SHA512 854fbba39064ba4b1d9728fc4943e811f0a9557f1096f32d7a6486bcb6c73379ab84c5fb8ce5288bf4dab1d1cd3e0664c492977450d4da503ce4b08abfc75fd9
-DIST at-spi2-core-2.40.3.tar.xz 197528 BLAKE2B bc248d57d51cea6ae6dd6c737d85f10599a9c177a3a59f95ffc8f96f74b7da057f75e2b961c281650795ba8d5387a9439b00a0f277731af3d490cc8f34c3ab1a SHA512 85adf3da0a369d7f3481646a495a9c4c3337da3ae6a20ce8c924f8621d3d6ed1d9461bfac0e821dfe86e4ad6b930e4fd65d24c26401cbea644ef4951e5dda5ce
+DIST at-spi2-core-2.42.0.tar.xz 198016 BLAKE2B 9b14d7d0f5845c7510f7b256a05f5e30c3d3d893a9ae63eee81b3d378dfa9f6ebaa9853f60b23734929692efc4b8c652d4bd7bd035bd989fe0006975bdbea427 SHA512 befcab94b3aa99471723238d9666fc6667041b058a2bac3b012cfa15a91950996431296f33c921764e0ec4ffd0cc41ebe00be461a8460d6f4d2bafff19a38e10
+DIST at-spi2-core-2.44.0.tar.xz 209692 BLAKE2B 149251ba4061f5dbfac1e27775491bb6d7cee279cb7bd58c05f97cdec8a4e0208e5a129651a07c9febea681cc3fe36a7d7fa57c43c2b558249cdd321466729dd SHA512 6d74a56d7ad6c643985e98aebbbf0cdaad69c03b8030f8968bd9cce9357805cd846d71d35d2cc4a193770cd6d4a83cbfb98ef082e17719f3dee7b839c48bda44
+DIST at-spi2-core-2.44.1.tar.xz 209780 BLAKE2B e76f0b0c478564181db774633dfc9613bdfa6c74c5c52878d877723e37605b7b7169fee45a9025b331e84bf5af8132eed50b388db9ac1aee0fec7776a633628a SHA512 8d85df75f886c4a19d829d14e5a9412b607b9cbe2d1b7ecb95b4082602f0624e90747fe955f96d378c3a52bc0e732074b97008bb34e6acc2722c7056b2c0504e
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.40.3.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.42.0.ebuild
index 1300b42379c..50059a5040d 100644
--- a/app-accessibility/at-spi2-core/at-spi2-core-2.40.3.ebuild
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.42.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -38,6 +38,8 @@ BDEPEND="
PATCHES=(
# disable teamspaces test since that requires Novell.ICEDesktop.Daemon
"${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+
+ "${FILESDIR}/${PN}-2.42.0-fix-disabling-x11.patch"
)
multilib_src_configure() {
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.44.0.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.44.0.ebuild
new file mode 100644
index 00000000000..ec6aee601bd
--- /dev/null
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.44.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org meson-multilib systemd virtualx xdg
+
+DESCRIPTION="D-Bus accessibility specifications and registration daemon"
+HOMEPAGE="https://wiki.gnome.org/Accessibility https://gitlab.gnome.org/GNOME/at-spi2-core"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+IUSE="X gtk-doc +introspection"
+REQUIRED_USE="gtk-doc? ( X )"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+ >=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
+ >=dev-libs/glib-2.62:2[${MULTILIB_USEDEP}]
+ introspection? ( >=dev-libs/gobject-introspection-1.54.0:= )
+ X? (
+ x11-libs/libX11[${MULTILIB_USEDEP}]
+ x11-libs/libXtst[${MULTILIB_USEDEP}]
+ x11-libs/libXi[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-util/glib-utils
+ gtk-doc? (
+ >=dev-util/gtk-doc-1.25
+ app-text/docbook-xml-dtd:4.3
+ )
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ # disable teamspaces test since that requires Novell.ICEDesktop.Daemon
+ "${FILESDIR}/${PN}-2.0.2-disable-teamspaces-test.patch"
+ "${FILESDIR}/${PV}-Fix-build-with-X11-disabled.patch"
+)
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Dsystemd_user_dir="$(systemd_get_userunitdir)"
+ $(meson_native_use_bool gtk-doc docs)
+ -Dintrospection=$(multilib_native_usex introspection)
+ -Dx11=$(usex X)
+ )
+ meson_src_configure
+}
+
+multilib_src_test() {
+ virtx dbus-run-session meson test -C "${BUILD_DIR}"
+}
diff --git a/app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild b/app-accessibility/at-spi2-core/at-spi2-core-2.44.1.ebuild
index 8370320a1b7..cc1490ec802 100644
--- a/app-accessibility/at-spi2-core/at-spi2-core-2.40.2.ebuild
+++ b/app-accessibility/at-spi2-core/at-spi2-core-2.44.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,7 +12,7 @@ LICENSE="LGPL-2.1+"
SLOT="2"
IUSE="X gtk-doc +introspection"
REQUIRED_USE="gtk-doc? ( X )"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
RDEPEND="
>=sys-apps/dbus-1.5[${MULTILIB_USEDEP}]
diff --git a/app-accessibility/at-spi2-core/files/2.44.0-Fix-build-with-X11-disabled.patch b/app-accessibility/at-spi2-core/files/2.44.0-Fix-build-with-X11-disabled.patch
new file mode 100644
index 00000000000..bd6dfaaec88
--- /dev/null
+++ b/app-accessibility/at-spi2-core/files/2.44.0-Fix-build-with-X11-disabled.patch
@@ -0,0 +1,38 @@
+From 08036a4c4491eea57d7b713bb4440f541584204b Mon Sep 17 00:00:00 2001
+From: Mike Gorse <mgorse@suse.com>
+Date: Mon, 21 Mar 2022 10:19:03 -0500
+Subject: [PATCH] Fix build with X11 disabled
+
+Closes #51
+---
+ registryd/deviceeventcontroller.c | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/registryd/deviceeventcontroller.c b/registryd/deviceeventcontroller.c
+index 8a321adc..3068ec4b 100644
+--- a/registryd/deviceeventcontroller.c
++++ b/registryd/deviceeventcontroller.c
+@@ -1720,16 +1720,16 @@ spi_dec_synth_keysym (SpiDEController *controller, long keysym)
+ if (synth_mods != modifiers) {
+ lock_mods = synth_mods & ~modifiers;
+ spi_dec_plat_lock_modifiers (controller, lock_mods);
+- if (modifiers & LockMask)
+- spi_dec_plat_unlock_modifiers (controller, LockMask);
++ if (modifiers & SPI_KEYMASK_SHIFTLOCK)
++ spi_dec_plat_unlock_modifiers (controller, SPI_KEYMASK_SHIFTLOCK);
+ }
+ spi_dec_plat_synth_keycode_press (controller, key_synth_code);
+ spi_dec_plat_synth_keycode_release (controller, key_synth_code);
+
+ if (synth_mods != modifiers) {
+ spi_dec_plat_unlock_modifiers (controller, lock_mods);
+- if (modifiers & LockMask)
+- spi_dec_plat_lock_modifiers (controller, LockMask);
++ if (modifiers & SPI_KEYMASK_SHIFTLOCK)
++ spi_dec_plat_lock_modifiers (controller, SPI_KEYMASK_SHIFTLOCK);
+ }
+ return TRUE;
+ }
+--
+2.34.1
+
diff --git a/app-accessibility/at-spi2-core/files/at-spi2-core-2.42.0-fix-disabling-x11.patch b/app-accessibility/at-spi2-core/files/at-spi2-core-2.42.0-fix-disabling-x11.patch
new file mode 100644
index 00000000000..3bf32724e69
--- /dev/null
+++ b/app-accessibility/at-spi2-core/files/at-spi2-core-2.42.0-fix-disabling-x11.patch
@@ -0,0 +1,36 @@
+https://bugs.gentoo.org/829591
+https://gitlab.gnome.org/GNOME/at-spi2-core/-/commit/2175d89198440d948075f3268aec5f45430afb3d
+
+From 2175d89198440d948075f3268aec5f45430afb3d Mon Sep 17 00:00:00 2001
+From: Tim Orling <ticotimo@gmail.com>
+Date: Fri, 15 Oct 2021 12:44:39 -0700
+Subject: [PATCH] Ensure x11_dep is defined
+
+bus/meson.build checks if x11_dep.found(), but this fails when
+-Dx11=no
+
+References:
+ https://gitlab.gnome.org/GNOME/at-spi2-core/-/issues/42
+ https://mesonbuild.com/howtox.html#get-a-default-notfound-dependency
+
+Signed-off-by: Tim Orling <ticotimo@gmail.com>
+---
+ meson.build | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/meson.build b/meson.build
+index b5104c8c..cfd2e091 100644
+--- a/meson.build
++++ b/meson.build
+@@ -62,6 +62,8 @@ endif
+
+ x11_deps = []
+ x11_option = get_option('x11')
++# ensure x11_dep is defined for use elsewhere, such as bus/meson.build
++x11_dep = dependency('', required: false)
+ if x11_option != 'no'
+ x11_dep = dependency('x11', required: false)
+
+--
+GitLab
+
diff --git a/app-accessibility/brltty/Manifest b/app-accessibility/brltty/Manifest
index 5bb60742149..a078a76e9ad 100644
--- a/app-accessibility/brltty/Manifest
+++ b/app-accessibility/brltty/Manifest
@@ -1 +1,2 @@
DIST brltty-6.1.tar.xz 3394852 BLAKE2B 03e6358721dcd5c3bdee3301a1ed827a690128ec339669543279c7e9a115bef6c5d8630e4af2d0b214b9c7c3eaa9001ab4c54ae7fb899cb3bc675985f51d6933 SHA512 030ef60ef7a9a60dc2fba2a64ea0a0868395eee6f2f86876b4e4111e804a05b44f798a154a69a8f5e0f6358130993c360a550f7decac0535450f9cf939231eaf
+DIST brltty-6.4.tar.xz 3669296 BLAKE2B 2824b212c7e4fea0f65c7ae111432071805aa63117a7e9a9932d7720ef2157f1e6fd33e3e91e4515c7131bd066db8f910969fb186d2007b63bc83efcbe2332b1 SHA512 384848d05f78732952079d6f5170046927fcb35f400ece71ca897415a793c0aa1047934f8cd5e9e781536fb0b7cb71273283f3bba21e59f082ba8f6f2416352e
diff --git a/app-accessibility/brltty/brltty-6.1-r1.ebuild b/app-accessibility/brltty/brltty-6.1-r1.ebuild
index 14ae62a8ce0..ca9620c7607 100644
--- a/app-accessibility/brltty/brltty-6.1-r1.ebuild
+++ b/app-accessibility/brltty/brltty-6.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -17,7 +17,7 @@ SRC_URI="https://brltty.app/archive/${P}.tar.xz"
LICENSE="GPL-2 LGPL-2.1"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ppc ppc64 ~riscv x86"
IUSE="+api +beeper bluetooth +contracted-braille doc +fm gpm iconv icu
java louis +midi ncurses nls ocaml +pcm policykit python
usb systemd +speech tcl xml X"
diff --git a/app-accessibility/brltty/brltty-6.4-r1.ebuild b/app-accessibility/brltty/brltty-6.4-r1.ebuild
new file mode 100644
index 00000000000..db4783baac4
--- /dev/null
+++ b/app-accessibility/brltty/brltty-6.4-r1.ebuild
@@ -0,0 +1,221 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+FINDLIB_USE="ocaml"
+JAVA_PKG_WANT_SOURCE="1.8"
+JAVA_PKG_WANT_TARGET="1.8"
+
+inherit findlib toolchain-funcs java-pkg-opt-2 autotools systemd \
+ python-r1 tmpfiles
+
+DESCRIPTION="Daemon that provides access to the Linux/Unix console for a blind person"
+HOMEPAGE="https://brltty.app/"
+SRC_URI="https://brltty.app/archive/${P}.tar.xz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ppc ppc64 ~riscv x86"
+IUSE="+api +beeper bluetooth doc +fm gpm iconv icu
+ java louis +midi ncurses nls ocaml +pcm policykit python
+ usb systemd +speech tcl xml X"
+REQUIRED_USE="doc? ( api )
+ java? ( api )
+ ocaml? ( api )
+ python? ( api ${PYTHON_REQUIRED_USE} )
+ tcl? ( api )"
+
+DEPEND="
+ acct-group/brltty
+ acct-user/brltty
+ dev-libs/libpcre2[pcre32]
+ bluetooth? (
+ sys-apps/dbus
+ net-wireless/bluez
+ )
+ gpm? ( >=sys-libs/gpm-1.20 )
+ iconv? ( virtual/libiconv )
+ icu? ( dev-libs/icu:= )
+ louis? ( dev-libs/liblouis:= )
+ midi? ( media-libs/alsa-lib )
+ ncurses? ( sys-libs/ncurses:0= )
+ pcm? ( media-libs/alsa-lib )
+ policykit? ( sys-auth/polkit )
+ python? ( ${PYTHON_DEPS} )
+ speech? (
+ app-accessibility/espeak-ng
+ app-accessibility/flite
+ app-accessibility/speech-dispatcher
+ )
+ systemd? ( sys-apps/systemd )
+ tcl? ( >=dev-lang/tcl-8.4.15:0= )
+ usb? ( virtual/libusb:0 )
+ xml? ( dev-libs/expat )
+ X? (
+ app-accessibility/at-spi2-core:2
+ sys-apps/dbus
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXfixes
+ x11-libs/libXt
+ x11-libs/libXtst
+ )"
+RDEPEND="${DEPEND}
+ java? ( >=virtual/jre-1.8:* )
+"
+BDEPEND="
+ virtual/pkgconfig
+ java? ( >=virtual/jdk-1.8:* )
+ nls? ( virtual/libintl )
+ python? ( >=dev-python/cython-0.16[${PYTHON_USEDEP}] )
+"
+
+HTML_DOCS=( "${S}"/Documents/Manual-BrlAPI/. )
+
+PATCHES=(
+ "${FILESDIR}"/${P}-respect-AR.patch
+)
+
+src_prepare() {
+ default
+
+ java-pkg-opt-2_src_prepare
+
+ # We run eautoconf instead of using eautoreconf because brltty uses
+ # a custom build system that uses autoconf without the rest of the
+ # autotools.
+ eautoconf
+ use python && python_copy_sources
+}
+
+src_configure() {
+ tc-export AR LD PKG_CONFIG
+
+ export JAVAC=""
+ export JAVA_JNI_FLAGS=""
+ if use java; then
+ export JAVA_HOME="$(java-config -g JAVA_HOME)"
+ export JAVAC_HOME="${JAVA_HOME}/bin"
+ export JAVA_JNI_FLAGS="$(java-pkg_get-jni-cflags)"
+ export JAVAC="$(java-pkg_get-javac) -encoding UTF-8 $(java-pkg_javac-args)"
+ fi
+
+ # Override bindir for backward compatibility.
+ # Also override localstatedir so that the lib/brltty directory is installed
+ # correctly.
+ # Disable stripping since we do that ourselves.
+ local myconf=(
+ --bindir="${EPREFIX}"/bin
+ --htmldir="${EPREFIX}"/usr/share/doc/"${P}"/html
+ --localstatedir="${EPREFIX}"/var
+ --disable-stripping
+ --with-updatable-directory="${EPREFIX}"/var/lib/brltty
+ --with-writable-directory="${EPREFIX}"/run/brltty
+ --with-privilege-parameters=lx:user=brltty
+ $(use_enable api)
+ $(use_with beeper beep-package)
+ $(use_with fm fm-package)
+ $(use_enable gpm)
+ $(use_enable iconv)
+ $(use_enable icu)
+ $(use_enable java java-bindings)
+ $(use_enable louis liblouis)
+ $(use_with midi midi-package)
+ $(use_enable nls i18n)
+ $(use_enable ocaml ocaml-bindings)
+ $(use_with pcm pcm-package)
+ $(use_enable policykit polkit)
+ $(use_enable python python-bindings)
+ $(use_enable speech speech-support)
+ $(use_with systemd service-package)
+ $(use_enable tcl tcl-bindings)
+ $(use_enable xml expat)
+ $(use_enable X x)
+ $(use_with bluetooth bluetooth-package)
+ $(use_with ncurses curses)
+ $(use_with usb usb-package)
+ )
+ # disable espeak since we use espeak-ng
+ use speech && myconf+=( --with-speech-driver=-es )
+
+ econf "${myconf[@]}"
+
+ if use python; then
+ python_configure() {
+ econf "${myconf[@]}"
+ }
+ python_foreach_impl run_in_build_dir python_configure
+ fi
+}
+
+src_compile() {
+ emake -j1 JAVA_JNI_FLAGS="${JAVA_JNI_FLAGS}" JAVAC="${JAVAC}"
+
+ if use python; then
+ python_build() {
+ cd "Bindings/Python" || die
+ emake -j1
+ }
+ python_foreach_impl run_in_build_dir python_build
+ fi
+}
+
+src_install() {
+ if use ocaml; then
+ findlib_src_preinst
+ fi
+
+ emake -j1 INSTALL_ROOT="${D}" OCAML_LDCONF= install
+
+ if use python; then
+ python_install() {
+ cd "Bindings/Python" || die
+ emake -j1 INSTALL_ROOT="${D}" install
+ }
+ python_foreach_impl run_in_build_dir python_install
+ fi
+
+ if use java; then
+ java-pkg_doso Bindings/Java/libbrlapi_java.so
+ java-pkg_dojar Bindings/Java/brlapi.jar
+ fi
+
+ insinto /etc
+ doins Documents/brltty.conf
+ newinitd "${FILESDIR}"/brltty.initd brltty
+ pushd Autostart/Systemd 1> /dev/null || die
+ emake -j1 INSTALL_ROOT="${ED}" install
+ popd
+ pushd Autostart/Udev 1> /dev/null || die
+ emake -j1 INSTALL_ROOT="${ED}" install
+ popd
+
+ newdoc doc/Manual-BRLTTY/English/BRLTTY.txt BRLTTY-en.txt
+ newdoc doc/Manual-BRLTTY/French/BRLTTY.txt BRLTTY-fr.txt
+ newdoc doc/Manual-BrlAPI/English/BrlAPI.txt BrlAPI-en.txt
+ dodoc Documents/{CONTRIBUTORS,ChangeLog,HISTORY,README*,TODO}
+ if use doc; then
+ HTML_DOCS="doc/Manual-BRLTTY" einstalldocs
+ fi
+
+ keepdir /var/lib/BrlAPI
+ rm -fr "${ED}/run" || die
+ find "${ED}" -name '*.a' -delete || die
+}
+
+pkg_postinst() {
+ tmpfiles_process ${PN}.conf
+
+ elog "please be sure ${EROOT}/etc/brltty.conf is correct for your system."
+ elog
+ elog "To make brltty start on boot on an OpenRC system, type this command:"
+ elog "# rc-update add brltty boot"
+ elog
+ elog "If you are using systemd, type this command:"
+ elog "# systemctl daemon-reload"
+ elog
+ elog "Please reload udev by typing:"
+ elog "# udevadm control --reload"
+}
diff --git a/app-accessibility/brltty/brltty-6.4.ebuild b/app-accessibility/brltty/brltty-6.4.ebuild
new file mode 100644
index 00000000000..0eaf71123bb
--- /dev/null
+++ b/app-accessibility/brltty/brltty-6.4.ebuild
@@ -0,0 +1,210 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..10} )
+FINDLIB_USE="ocaml"
+JAVA_PKG_WANT_SOURCE="1.8"
+JAVA_PKG_WANT_TARGET="1.8"
+
+inherit findlib toolchain-funcs java-pkg-opt-2 autotools systemd \
+ python-r1 tmpfiles
+
+DESCRIPTION="Daemon that provides access to the Linux/Unix console for a blind person"
+HOMEPAGE="https://brltty.app/"
+SRC_URI="https://brltty.app/archive/${P}.tar.xz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="+api +beeper bluetooth doc +fm gpm iconv icu
+ java louis +midi ncurses nls ocaml +pcm policykit python
+ usb systemd +speech tcl xml X"
+REQUIRED_USE="doc? ( api )
+ java? ( api )
+ ocaml? ( api )
+ python? ( api ${PYTHON_REQUIRED_USE} )
+ tcl? ( api )"
+
+DEPEND="
+ app-accessibility/at-spi2-core:2
+ dev-libs/libpcre2[pcre32]
+ sys-apps/dbus
+ bluetooth? ( net-wireless/bluez )
+ gpm? ( >=sys-libs/gpm-1.20 )
+ iconv? ( virtual/libiconv )
+ icu? ( dev-libs/icu:= )
+ louis? ( dev-libs/liblouis:= )
+ midi? ( media-libs/alsa-lib )
+ ncurses? ( sys-libs/ncurses:0= )
+ pcm? ( media-libs/alsa-lib )
+ policykit? ( sys-auth/polkit )
+ python? ( ${PYTHON_DEPS} )
+ speech? (
+ app-accessibility/espeak-ng
+ app-accessibility/flite
+ app-accessibility/speech-dispatcher
+ )
+ systemd? ( sys-apps/systemd )
+ tcl? ( >=dev-lang/tcl-8.4.15:0= )
+ usb? ( virtual/libusb:0 )
+ xml? ( dev-libs/expat )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXaw
+ x11-libs/libXfixes
+ x11-libs/libXt
+ x11-libs/libXtst
+ )"
+RDEPEND="${DEPEND}
+ java? ( >=virtual/jre-1.8:* )
+"
+BDEPEND="
+ virtual/pkgconfig
+ java? ( >=virtual/jdk-1.8:* )
+ nls? ( virtual/libintl )
+ python? ( >=dev-python/cython-0.16[${PYTHON_USEDEP}] )
+"
+
+HTML_DOCS=( "${S}"/Documents/Manual-BrlAPI/. )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.2-respect-AR.patch
+)
+
+src_prepare() {
+ default
+
+ java-pkg-opt-2_src_prepare
+
+ # We run eautoconf instead of using eautoreconf because brltty uses
+ # a custom build system that uses autoconf without the rest of the
+ # autotools.
+ eautoconf
+ use python && python_copy_sources
+}
+
+src_configure() {
+ tc-export AR LD PKG_CONFIG
+
+ export JAVAC=""
+ export JAVA_JNI_FLAGS=""
+ if use java; then
+ export JAVA_HOME="$(java-config -g JAVA_HOME)"
+ export JAVAC_HOME="${JAVA_HOME}/bin"
+ export JAVA_JNI_FLAGS="$(java-pkg_get-jni-cflags)"
+ export JAVAC="$(java-pkg_get-javac) -encoding UTF-8 $(java-pkg_javac-args)"
+ fi
+
+ # override prefix in order to install into /
+ # braille terminal needs to be available as soon in the boot process as
+ # possible
+ # Also override localstatedir so that the lib/brltty directory is installed
+ # correctly.
+ # Disable stripping since we do that ourselves.
+ local myconf=(
+ --prefix="${EPREFIX}"/
+ --localedir="${EPREFIX}"/usr/share/locale
+ --includedir="${EPREFIX}"/usr/include
+ --localstatedir="${EPREFIX}"/var
+ --disable-stripping
+ --with-writable-directory="${EPREFIX}"/run/brltty
+ $(use_enable api)
+ $(use_with beeper beep-package)
+ $(use_with fm fm-package)
+ $(use_enable gpm)
+ $(use_enable iconv)
+ $(use_enable icu)
+ $(use_enable java java-bindings)
+ $(use_enable louis liblouis)
+ $(use_with midi midi-package)
+ $(use_enable nls i18n)
+ $(use_enable ocaml ocaml-bindings)
+ $(use_with pcm pcm-package)
+ $(use_enable policykit polkit)
+ $(use_enable python python-bindings)
+ $(use_enable speech speech-support)
+ $(use_with systemd service-package)
+ $(use_enable tcl tcl-bindings)
+ $(use_enable xml expat)
+ $(use_enable X x)
+ $(use_with bluetooth bluetooth-package)
+ $(use_with ncurses curses)
+ $(use_with usb usb-package)
+ )
+ # disable espeak since we use espeak-ng
+ use speech && myconf+=( --with-speech-driver=-es )
+
+ econf "${myconf[@]}"
+
+ if use python; then
+ python_configure() {
+ econf "${myconf[@]}"
+ }
+ python_foreach_impl run_in_build_dir python_configure
+ fi
+}
+
+src_compile() {
+ emake -j1 JAVA_JNI_FLAGS="${JAVA_JNI_FLAGS}" JAVAC="${JAVAC}"
+
+ if use python; then
+ python_build() {
+ cd "Bindings/Python" || die
+ emake -j1
+ }
+ python_foreach_impl run_in_build_dir python_build
+ fi
+}
+
+src_install() {
+ if use ocaml; then
+ findlib_src_preinst
+ fi
+
+ emake -j1 INSTALL_ROOT="${D}" OCAML_LDCONF= install
+
+ if use python; then
+ python_install() {
+ cd "Bindings/Python" || die
+ emake -j1 INSTALL_ROOT="${D}" install
+ }
+ python_foreach_impl run_in_build_dir python_install
+ fi
+
+ if use java; then
+ java-pkg_doso Bindings/Java/libbrlapi_java.so
+ java-pkg_dojar Bindings/Java/brlapi.jar
+ fi
+
+ insinto /etc
+ doins Documents/brltty.conf
+ newinitd "${FILESDIR}"/brltty.rc brltty
+ systemd_dounit Autostart/Systemd/brltty@.service
+ dotmpfiles "${FILESDIR}/${PN}.tmpfiles.conf"
+
+ mv doc/Manual-BRLTTY/English/BRLTTY.txt BRLTTY-en.txt || die
+ mv doc/Manual-BRLTTY/French/BRLTTY.txt BRLTTY-fr.txt || die
+ mv doc/Manual-BrlAPI/English/BrlAPI.txt BrlAPI-en.txt || die
+ dodoc Documents/{CONTRIBUTORS,ChangeLog,HISTORY,README*,TODO} BRLTTY-*.txt
+ if use doc; then
+ dodoc BrlAPI-*.txt
+ HTML_DOCS="doc/Manual-BRLTTY" einstalldocs
+ fi
+
+ keepdir /var/lib/BrlAPI
+ rm -fr "${ED}/run" || die
+ find "${ED}" -name '*.a' -delete || die
+}
+
+pkg_postinst() {
+ tmpfiles_process ${PN}.tmpfiles.conf
+
+ elog
+ elog "please be sure ${EROOT}/etc/brltty.conf is correct for your system."
+ elog
+ elog "To make brltty start on boot, type this command as root:"
+ elog
+ elog "rc-update add brltty boot"
+}
diff --git a/app-accessibility/brltty/files/brltty-6.4-respect-AR.patch b/app-accessibility/brltty/files/brltty-6.4-respect-AR.patch
new file mode 100644
index 00000000000..1c647cfad53
--- /dev/null
+++ b/app-accessibility/brltty/files/brltty-6.4-respect-AR.patch
@@ -0,0 +1,13 @@
+diff --git a/Programs/Makefile.in b/Programs/Makefile.in
+index f1dc9aeb5..811a73a11 100644
+--- a/Programs/Makefile.in
++++ b/Programs/Makefile.in
+@@ -687,7 +687,7 @@ $(API_DLL): $(API_CLIENT_OBJECTS)
+ [ ! -f lib.def ] || mv lib.def $(API_DEF)
+
+ $(API_ARC): $(API_CLIENT_OBJECTS)
+- ar rc $@ $(API_CLIENT_OBJECTS)
++ $(AR) rc $@ $(API_CLIENT_OBJECTS)
+ $(RANLIB) $@
+
+ brlapi_client.$O:
diff --git a/app-accessibility/brltty/files/brltty.initd b/app-accessibility/brltty/files/brltty.initd
new file mode 100644
index 00000000000..1d93e1e533c
--- /dev/null
+++ b/app-accessibility/brltty/files/brltty.initd
@@ -0,0 +1,11 @@
+#!/sbin/openrc-run
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+command=/bin/brltty
+pidfile=/var/run/brltty.pid
+command_args="-P ${pidfile} -q"
+
+depend() {
+ after dbus localmount
+}
diff --git a/app-accessibility/brltty/metadata.xml b/app-accessibility/brltty/metadata.xml
index f3f6d0a7c57..32eb443cb93 100644
--- a/app-accessibility/brltty/metadata.xml
+++ b/app-accessibility/brltty/metadata.xml
@@ -10,7 +10,7 @@
<flag name="beeper">support the console tone generator</flag>
<flag name="contracted-braille">support in-line contracted braille</flag>
<flag name="fm">support for the sound card synthesizer</flag>
- <flag name="louis">Use braille tranlator <pkg>dev-libs/liblouis</pkg></flag>
+ <flag name="louis">Use braille translator <pkg>dev-libs/liblouis</pkg></flag>
<flag name="midi">support the musical instrument digital interface</flag>
<flag name="pcm">support for sound card digital audio</flag>
<flag name="speech">speech support</flag>
diff --git a/app-accessibility/caribou/caribou-0.4.21-r3.ebuild b/app-accessibility/caribou/caribou-0.4.21-r3.ebuild
deleted file mode 100644
index db6f5706281..00000000000
--- a/app-accessibility/caribou/caribou-0.4.21-r3.ebuild
+++ /dev/null
@@ -1,98 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-PYTHON_REQ_USE="xml"
-
-VALA_MAX_API_VERSION="0.50"
-
-inherit gnome.org gnome2-utils python-single-r1 vala
-
-DESCRIPTION="Input assistive technology intended for switch and pointer users"
-HOMEPAGE="https://wiki.gnome.org/Projects/Caribou"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-IUSE=""
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
-
-COMMON_DEPEND="
- ${PYTHON_DEPS}
- app-accessibility/at-spi2-core
- $(python_gen_cond_dep '
- >=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
- ')
- >=dev-libs/gobject-introspection-0.10.7:=
- dev-libs/libgee:0.8
- dev-libs/libxml2
- >=media-libs/clutter-1.5.11:1.0[introspection]
- >=x11-libs/gtk+-3:3[introspection]
- x11-libs/libX11
- x11-libs/libxklavier
- x11-libs/libXtst
-"
-# gsettings-desktop-schemas is needed for the 'toolkit-accessibility' key
-# pyatspi-2.1.90 needed to run caribou if pygobject:3 is installed
-# librsvg needed to load svg images in css styles
-RDEPEND="
- ${COMMON_DEPEND}
- dev-libs/glib[dbus]
- $(python_gen_cond_dep '
- >=dev-python/pyatspi-2.1.90[${PYTHON_USEDEP}]
- ')
- >=gnome-base/gsettings-desktop-schemas-3
- gnome-base/librsvg:2
- sys-apps/dbus
- !<x11-base/xorg-server-1.20.10
-"
-DEPEND="
- ${COMMON_DEPEND}
- dev-libs/libxslt
-"
-BDEPEND="
- $(vala_depend)
- >=dev-util/intltool-0.35.5
- virtual/pkgconfig
-"
-
-PATCHES=(
- "${FILESDIR}/${PN}-fix-compilation-error.patch"
- "${FILESDIR}/${PN}-fix-subkey-popmenu.patch"
- "${FILESDIR}/${PN}-fix-xadapter-xkb-calls.patch"
- "${FILESDIR}/${PN}-fix-antler-style-css.patch"
- "${FILESDIR}/${PN}-fix-python-env.patch"
-)
-
-src_prepare() {
- default
- vala_src_prepare
- gnome2_disable_deprecation_warning
-}
-
-src_configure() {
- econf \
- --disable-maintainer-mode \
- --disable-schemas-compile \
- --disable-docs \
- --disable-static \
- --disable-gtk2-module \
- --enable-gtk3-module
-}
-
-src_install() {
- DOCS="AUTHORS NEWS README"
- default
- find "${D}" -name '*.la' -delete || die
- python_optimize
-}
-
-pkg_postinst() {
- gnome2_schemas_update
-}
-
-pkg_postrm() {
- gnome2_schemas_update
-}
diff --git a/app-accessibility/caribou/caribou-0.4.21-r4.ebuild b/app-accessibility/caribou/caribou-0.4.21-r4.ebuild
index c3c38176ee5..745819795ea 100644
--- a/app-accessibility/caribou/caribou-0.4.21-r4.ebuild
+++ b/app-accessibility/caribou/caribou-0.4.21-r4.ebuild
@@ -15,7 +15,7 @@ LICENSE="LGPL-2.1"
SLOT="0"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86"
COMMON_DEPEND="
${PYTHON_DEPS}
diff --git a/app-accessibility/edbrowse/Manifest b/app-accessibility/edbrowse/Manifest
index 383cdd368c2..d44dfe55ad0 100644
--- a/app-accessibility/edbrowse/Manifest
+++ b/app-accessibility/edbrowse/Manifest
@@ -1 +1,2 @@
-DIST edbrowse-3.7.5.1.tar.gz 790742 BLAKE2B 7047cc2b1c7bc51aaa88f7a6aa981020ae80b6498bcb97f670646267dab94bab565b9ecc23c36f75d2653175917720dbb9e40a0f9bfd44251716669155e8de9e SHA512 ec217bf98334e8b493a1a80082cebfb11da9fa84d20d8b5f3f3286a78ae1dc6a2731c578d000f9f0f19d3dcbec9aa2c3e2a6b5b35f7ea7672840b9bcd1c5c67a
+DIST edbrowse-3.8.2.1.tar.gz 909574 BLAKE2B e5358861f6747dfe12498403b2d4761ab16dabc513fe94455d88c44e07793fb1128b0c1b7ebdf9ef922e371148182f8127f67f11eb123877e804858cb7e6378b SHA512 b5774a836efe96aae77052b02f6fcc85920b5f86a6ab8436a6dc363d81531b30e7f9c7555aacb20af27e59565042bdd685eed2acd4dfde8b99e2ad0358f19927
+DIST quickjs-2788d71.tar.gz 599260 BLAKE2B 67618f491c3efd1aa15a8906557983dd7123a3cfb2584f2f499f005667ccac4ded1c77934d2807cfce9e042572c6c41d63982b3df7afab5b2c67f4ce9f357879 SHA512 4493d11bc60855711955e0159e9f568d7e3db59c9843ef3aae00846f82c5e33f501372f7f5861b431353355f400f77720f3265963ea7bc0e38635ab5b89a27a0
diff --git a/app-accessibility/edbrowse/edbrowse-3.7.5.1-r3.ebuild b/app-accessibility/edbrowse/edbrowse-3.7.5.1-r3.ebuild
deleted file mode 100644
index 5fc5f1ffa3c..00000000000
--- a/app-accessibility/edbrowse/edbrowse-3.7.5.1-r3.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake
-
-DESCRIPTION="Combination editor, browser, and mail client that is 100% text based"
-HOMEPAGE="http://edbrowse.org"
-SRC_URI="https://github.com/CMB/edbrowse/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="odbc"
-
-RDEPEND="
- >=app-text/htmltidy-5.0.0:=
- dev-lang/duktape:=
- dev-libs/libpcre:=
- net-misc/curl
- sys-libs/readline:=
- odbc? ( dev-db/unixODBC )"
-DEPEND="${RDEPEND}"
-BDEPEND="
- dev-lang/perl
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${P}-fno-common.patch
- "${FILESDIR}"/${P}-manpage.patch
-)
-
-src_prepare() {
- cmake_src_prepare
-
- sed -i -e "s:/usr/share/doc/edbrowse:/usr/share/doc/${PF}:" CMakeLists.txt || die
-}
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_EDBR_ODBC=$(usex odbc)
- )
- cmake_src_configure
-}
diff --git a/app-accessibility/edbrowse/edbrowse-3.8.2.1-r1.ebuild b/app-accessibility/edbrowse/edbrowse-3.8.2.1-r1.ebuild
new file mode 100644
index 00000000000..d9e6b8f2244
--- /dev/null
+++ b/app-accessibility/edbrowse/edbrowse-3.8.2.1-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+QUICKJS_HASH=2788d71e823b522b178db3b3660ce93689534e6d
+QUICKJS_SHORT=2788d71
+QUICKJS_S="${WORKDIR}/quickjs-${QUICKJS_HASH}"
+QUICKJS_P="quickjs-${QUICKJS_SHORT}"
+
+DESCRIPTION="Combination editor, browser, and mail client that is 100% text based"
+HOMEPAGE="https://edbrowse.org"
+SRC_URI="https://github.com/CMB/edbrowse/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/bellard/quickjs/archive/${QUICKJS_HASH}.tar.gz -> ${QUICKJS_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="odbc"
+
+RDEPEND="
+ >=app-text/htmltidy-5.0.0:=
+ dev-libs/libpcre2:=
+ net-misc/curl
+ sys-libs/readline:=
+ odbc? ( dev-db/unixODBC )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-lang/perl
+ sys-apps/ed
+ virtual/pkgconfig"
+
+ PATCHES=(
+ "${FILESDIR}/${P}"-respect-ldflags.patch
+ )
+
+src_compile() {
+ # First build quickjs so we can link to its static library.
+ # Also, quickjs doesn't appear to tag releases.
+ tools/quickjobfixup "${QUICKJS_S}" || die
+ emake -C "${QUICKJS_S}"
+ emake -C src QUICKJS_DIR="${QUICKJS_S}" STRIP=
+}
+
+src_install() {
+ dobin src/edbrowse
+ newman doc/man-edbrowse-debian.1 edbrowse.1
+ DOCS="doc/sample*"
+ HTML_DOCS="doc/*.html"
+ einstalldocs
+}
diff --git a/app-accessibility/edbrowse/files/edbrowse-3.7.5.1-fno-common.patch b/app-accessibility/edbrowse/files/edbrowse-3.7.5.1-fno-common.patch
deleted file mode 100644
index bf9fa08245d..00000000000
--- a/app-accessibility/edbrowse/files/edbrowse-3.7.5.1-fno-common.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/src/eb.h
-+++ b/src/eb.h
-@@ -287,7 +287,7 @@ extern char *sslCerts; /* ssl certificates to validate the secure server */
- extern int verifyCertificates; /* is a certificate required for the ssl connection? */
- extern int displayLength; // when printing a line
- extern int formatLineLength; // when formatting html
--bool formatOverflow;
-+extern bool formatOverflow;
- extern int webTimeout, mailTimeout;
- extern uchar browseLocal;
- extern bool sqlPresent; /* Was edbrowse compiled with SQL built in? */
diff --git a/app-accessibility/edbrowse/files/edbrowse-3.7.5.1-manpage.patch b/app-accessibility/edbrowse/files/edbrowse-3.7.5.1-manpage.patch
deleted file mode 100644
index f0d66766911..00000000000
--- a/app-accessibility/edbrowse/files/edbrowse-3.7.5.1-manpage.patch
+++ /dev/null
@@ -1,23 +0,0 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -249,19 +249,7 @@ if (UNIX)
- endif()
- # copy to build dir
- configure_file( ${UnixManFile} ${CMAKE_BINARY_DIR}/edbrowse.1 )
-- # find 'gzip' - warn if not...
-- find_program(GZIP_EXE gzip PATHS /bin )
-- if (GZIP_EXE)
-- # gzip it in place
-- execute_process(COMMAND ${GZIP_EXE} -f "edbrowse.1"
-- WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-- INPUT_FILE edbrowse.1
-- OUTPUT_FILE edbrowse.1.gz )
-- # install it
-- install(FILES ${CMAKE_BINARY_DIR}/edbrowse.1.gz DESTINATION ${UnixManDir})
-- else ()
-- message(WARNING "Unable to locate 'gzip'! No man page...")
-- endif ()
-+ install(FILES ${CMAKE_BINARY_DIR}/edbrowse.1 DESTINATION ${UnixManDir})
- # install user guide
- install(FILES doc/usersguide.html doc/usersguide_fr.html doc/sample.ebrc doc/sample_fr.ebrc doc/sample_it.ebrc DESTINATION ${UnixDocDir})
- endif ()
diff --git a/app-accessibility/edbrowse/files/edbrowse-3.8.2.1-respect-ldflags.patch b/app-accessibility/edbrowse/files/edbrowse-3.8.2.1-respect-ldflags.patch
new file mode 100644
index 00000000000..3b511e1d2b3
--- /dev/null
+++ b/app-accessibility/edbrowse/files/edbrowse-3.8.2.1-respect-ldflags.patch
@@ -0,0 +1,13 @@
+diff --git a/src/makefile b/src/makefile
+index d65369a3..410d3e9d 100644
+--- a/src/makefile
++++ b/src/makefile
+@@ -31,7 +31,7 @@ endif
+ CFLAGS += $(DEBUGFLAGS)
+
+ # Libraries and linker flags for edbrowse.
+-LDFLAGS = $(STRIP) $(LINKER_LIBS) -lpthread -lm
++LDFLAGS += $(STRIP) $(LINKER_LIBS) -lpthread -lm
+
+ # LDFLAGS for quickjs loading.
+ QUICKJS_LDFLAGS = $(QUICKJS_DIR)/libquickjs.a -ldl
diff --git a/app-accessibility/edbrowse/metadata.xml b/app-accessibility/edbrowse/metadata.xml
index 83094582472..98abcd56c4b 100644
--- a/app-accessibility/edbrowse/metadata.xml
+++ b/app-accessibility/edbrowse/metadata.xml
@@ -5,4 +5,7 @@
<email>accessibility@gentoo.org</email>
<name>Gentoo Accessibility Project</name>
</maintainer>
+<upstream>
+ <remote-id type="github">CMB/edbrowse</remote-id>
+</upstream>
</pkgmetadata>
diff --git a/app-accessibility/espeak-ng/Manifest b/app-accessibility/espeak-ng/Manifest
index a89c9b5ddaa..c145ee48ff5 100644
--- a/app-accessibility/espeak-ng/Manifest
+++ b/app-accessibility/espeak-ng/Manifest
@@ -1 +1,3 @@
+DIST espeak-ng-1.50-ieee80.patch.xz 8128 BLAKE2B f9ae3b64d52f18b0dd4bb1ff1832d89fc22c319bccf3f7ada61628569857fded15a426703d035737b829fc8580707876ad09527380890f73df919740b40aa046 SHA512 4183fd13c902bdda27ac7e86fb4e4573ce85ca015aaea757aed27a869e4067a58c99b8f4d3e289710d1359d4fa289c2a4e6d5803845cd454c3dc59f79f4e2e80
DIST espeak-ng-1.50.tar.gz 13665536 BLAKE2B c64c2a474374d4b6fe13bf3a99f5dfb661923c13ebd6c0bc323e7f26d9d90945c7075cc5c8f4b51e5db3303632c8c9daca7a65a1883e09d7c3faf63dd725ea3f SHA512 297dd80a6cdae3e2b8acf6823475220ce89d6a5fb68ea303156ad52cb3e7388049b6921759d4ed4e3d2e2ebd19bf931259e454f74a2ac0b7ecf4ce56c1d60c0c
+DIST espeak-ng-1.51.tar.gz 14260788 BLAKE2B 230e8860247bdd44a26ba7281fadb7486e7fff90de229c71fb883693badfc141d5ad883769d6cead150f43560a5c47152cada4fcb5a28c0b0384dacaad2c9d09 SHA512 6c29275706d21de2d5fa393702d2f173fc05d2ce4e2f46f3bf9a2742b0a8f294177663df0d079188e31cc2541f2c21a64e09e8afffe95befab667a4d00429fd2
diff --git a/app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild b/app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild
new file mode 100644
index 00000000000..c3240b2d2dd
--- /dev/null
+++ b/app-accessibility/espeak-ng/espeak-ng-1.50-r3.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Software speech synthesizer for English, and some other languages"
+HOMEPAGE="https://github.com/espeak-ng/espeak-ng"
+SRC_URI="https://github.com/espeak-ng/espeak-ng/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~ulm/distfiles/${P}-ieee80.patch.xz"
+
+LICENSE="GPL-3+ unicode"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
+IUSE="+async +klatt l10n_ru l10n_zh man mbrola +sound"
+
+COMMON_DEPEND="
+ !app-accessibility/espeak
+ mbrola? ( app-accessibility/mbrola )
+ sound? ( media-libs/pcaudiolib )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+ sound? ( media-sound/sox )
+"
+BDEPEND="
+ virtual/pkgconfig
+ man? ( || ( app-text/ronn-ng app-text/ronn ) )
+"
+
+PATCHES=( "${WORKDIR}"/${P}-ieee80.patch )
+
+DOCS=( CHANGELOG.md README.md docs )
+
+src_prepare() {
+ default
+
+ # disable failing tests
+ rm tests/{language-pronunciation,translate}.test || die
+ sed -i \
+ -e "/language-pronunciation.check/d" \
+ -e "/translate.check/d" \
+ Makefile.am || die
+
+ # https://github.com/espeak-ng/espeak-ng/issues/699
+ # fixed in master
+ sed -i -e "s/int samplerate;/static int samplerate;/" src/espeak-ng.c || die
+
+ eautoreconf
+}
+
+src_configure() {
+ # https://bugs.gentoo.org/836646
+ export PULSE_SERVER=""
+
+ local econf_args
+ econf_args=(
+ $(use_with async)
+ $(use_with klatt)
+ $(use_with l10n_ru extdict-ru)
+ $(use_with l10n_zh extdict-zh)
+ $(use_with l10n_zh extdict-zhy)
+ $(use_with mbrola)
+ $(use_with sound pcaudiolib)
+ --without-libfuzzer
+ --without-sonic
+ --disable-rpath
+ --disable-static
+ )
+ econf "${econf_args[@]}"
+}
+
+src_compile() {
+ # see docs/building.md
+ # The -j1s from compile/test/install may be droppable in next release
+ # (after 1.50). Several bugs have been fixed upstream in git.
+ emake -j1
+}
+
+src_test() {
+ emake check -j1
+}
+
+src_install() {
+ emake DESTDIR="${D}" VIMDIR=/usr/share/vim/vimfiles install -j1
+ find "${ED}" -name '*.la' -delete || die
+}
diff --git a/app-accessibility/espeak-ng/espeak-ng-1.50.ebuild b/app-accessibility/espeak-ng/espeak-ng-1.51.ebuild
index de70028fc38..a9ea01fea59 100644
--- a/app-accessibility/espeak-ng/espeak-ng-1.50.ebuild
+++ b/app-accessibility/espeak-ng/espeak-ng-1.51.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -9,9 +9,9 @@ DESCRIPTION="Software speech synthesizer for English, and some other languages"
HOMEPAGE="https://github.com/espeak-ng/espeak-ng"
SRC_URI="https://github.com/espeak-ng/espeak-ng/archive/${PV}.tar.gz -> ${P}.tar.gz"
-LICENSE="GPL-3+ Turkowski unicode"
+LICENSE="GPL-3+ unicode"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
IUSE="+async +klatt l10n_ru l10n_zh man mbrola +sound"
COMMON_DEPEND="
@@ -25,7 +25,7 @@ RDEPEND="${COMMON_DEPEND}
"
BDEPEND="
virtual/pkgconfig
- man? ( app-text/ronn )
+ man? ( || ( app-text/ronn-ng app-text/ronn ) )
"
DOCS=( CHANGELOG.md README.md docs )
@@ -40,24 +40,25 @@ src_prepare() {
-e "/translate.check/d" \
Makefile.am || die
- # https://github.com/espeak-ng/espeak-ng/issues/699
- # fixed in master
- sed -i -e "s/int samplerate;/static int samplerate;/" src/espeak-ng.c || die
-
eautoreconf
}
src_configure() {
local econf_args
+
+ # https://bugs.gentoo.org/836646
+ export PULSE_SERVER=""
+
econf_args=(
$(use_with async)
$(use_with klatt)
$(use_with l10n_ru extdict-ru)
- $(use_with l10n_zh extdict-zh)
- $(use_with l10n_zh extdict-zhy)
+ $(use_with l10n_zh extdict-cmn)
+ $(use_with l10n_zh extdict-yue)
$(use_with mbrola)
$(use_with sound pcaudiolib)
--without-libfuzzer
+ --without-speechplayer
--without-sonic
--disable-rpath
--disable-static
@@ -66,8 +67,7 @@ src_configure() {
}
src_compile() {
- # see docs/building.md
- emake -j1
+ emake
}
src_test() {
@@ -75,6 +75,6 @@ src_test() {
}
src_install() {
- emake DESTDIR="${D}" VIMDIR=/usr/share/vimfiles install
- rm "${ED}"/usr/lib*/*.la || die
+ emake DESTDIR="${D}" VIMDIR=/usr/share/vim/vimfiles install -j1
+ find "${ED}" -name '*.la' -delete || die
}
diff --git a/app-accessibility/espeak-ng/espeak-ng-9999.ebuild b/app-accessibility/espeak-ng/espeak-ng-9999.ebuild
index 941edd1d327..4dc30d2b534 100644
--- a/app-accessibility/espeak-ng/espeak-ng-9999.ebuild
+++ b/app-accessibility/espeak-ng/espeak-ng-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,10 +13,10 @@ if [[ ${PV} == 9999 ]]; then
inherit git-r3
else
SRC_URI="https://github.com/espeak-ng/espeak-ng/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
fi
-LICENSE="GPL-3+ Turkowski unicode"
+LICENSE="GPL-3+ unicode"
SLOT="0"
IUSE="+async +klatt l10n_ru l10n_zh man mbrola +sound"
@@ -31,7 +31,7 @@ RDEPEND="${COMMON_DEPEND}
"
BDEPEND="
virtual/pkgconfig
- man? ( app-text/ronn )
+ man? ( || ( app-text/ronn-ng app-text/ronn ) )
"
DOCS=( CHANGELOG.md README.md docs )
@@ -51,6 +51,10 @@ src_prepare() {
src_configure() {
local econf_args
+
+ # https://bugs.gentoo.org/836646
+ export PULSE_SERVER=""
+
econf_args=(
$(use_with async)
$(use_with klatt)
@@ -67,16 +71,11 @@ src_configure() {
econf "${econf_args[@]}"
}
-src_compile() {
- # see docs/building.md
- emake -j1
-}
-
src_test() {
emake check
}
src_install() {
- emake DESTDIR="${D}" VIMDIR=/usr/share/vimfiles install
- rm "${ED}"/usr/lib*/*.la || die
+ emake DESTDIR="${D}" VIMDIR=/usr/share/vim/vimfiles install
+ find "${ED}" -name '*.la' -delete || die
}
diff --git a/app-accessibility/espeakup/espeakup-0.90.ebuild b/app-accessibility/espeakup/espeakup-0.90.ebuild
index 91bb36b6e68..35a599a7a19 100644
--- a/app-accessibility/espeakup/espeakup-0.90.ebuild
+++ b/app-accessibility/espeakup/espeakup-0.90.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -8,7 +8,7 @@ if [[ ${PV} == "9999" ]] ; then
inherit git-r3
else
SRC_URI="https://github.com/linux-speakup/espeakup/archive/v${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+ KEYWORDS="amd64 ~arm ~arm64 x86"
fi
inherit linux-info meson
diff --git a/app-accessibility/kontrast/Manifest b/app-accessibility/kontrast/Manifest
index ec07abca7dc..ee3697f3b04 100644
--- a/app-accessibility/kontrast/Manifest
+++ b/app-accessibility/kontrast/Manifest
@@ -1,2 +1,2 @@
-DIST kontrast-21.04.3.tar.xz 123764 BLAKE2B 8788b3b0e479b39a2065be61ae2e4fdc34c393a12be6547b596be1dd60fce8d3c8a98b2d7bb8ac7626c75570c92b52cd13cbfec1c61470c09abba931e5c7d7ab SHA512 fc966e28e790d49e2c87d45c506a7cf5170115f6528821f8634ab2e767ba725b9c6934cdfec5a308c751ff1b83fc59bea31dc50a462a81d71f47652a8b974e2a
-DIST kontrast-21.08.3.tar.xz 125632 BLAKE2B 8734de15fcfd542d037cde92e6a80060e9c6628cd69d3cfee1f1f4c9b8938647d83924381966600ac9978acfa14723e0920c98f3ce2e666ddfdb624b8cc5f010 SHA512 193d372cdcecb3b90a352fb2deb24528d004c44e50c834e02a63c562eb97bd1f528fd81254bfc3ab7152edcc9894129eae7c6e1826a9ae42bc5ab22bf9a660c9
+DIST kontrast-21.12.3.tar.xz 125760 BLAKE2B b72d78961d22fc0eb51c0a64f9a7381ef9e87709d9fc24a08c3b08c60ad8102eadbc97943e72b1153f950654f442f97190d1e34c3beb24f4f8ea070f923dba55 SHA512 36d084f0801d393a0d7bdd771d23163a192e6d0e50f6499b9080e3928f5f3982dcee81c3e3453f8de2ece721c508479928fdff4a971cfef945acadd917e19581
+DIST kontrast-22.04.1.tar.xz 125840 BLAKE2B 262ce500121a5d825fa30a241e5754c5f08638793ca07bff76e905a3bdade5de15e73b152fbab080768990c9879891a12fe6828b8c0eb1ee4b9e5523b830113c SHA512 ceaae7d2d183e9586ffa5088bfee80a292a0b61e5d53fe964c67bf421b461ad2875513f5e39a22b18b142d48ecff66fc3f7b145b9958cb6d2676c3a5537e65e7
diff --git a/app-accessibility/kontrast/kontrast-21.04.3.ebuild b/app-accessibility/kontrast/kontrast-21.12.3.ebuild
index f34fee4b483..451c6b4c9b7 100644
--- a/app-accessibility/kontrast/kontrast-21.04.3.ebuild
+++ b/app-accessibility/kontrast/kontrast-21.12.3.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
KDE_GEAR="true"
-KFMIN=5.80.0
+KFMIN=5.88.0
QTMIN=5.15.2
inherit ecm kde.org
@@ -13,7 +13,7 @@ HOMEPAGE="https://apps.kde.org/kontrast/"
LICENSE="GPL-3+"
SLOT="5"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="amd64 arm64 ~riscv x86"
IUSE=""
DEPEND="
@@ -25,7 +25,6 @@ DEPEND="
>=dev-qt/qtsvg-${QTMIN}:5
>=dev-qt/qtwidgets-${QTMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
- >=kde-frameworks/kdeclarative-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kirigami-${KFMIN}:5
"
diff --git a/app-accessibility/kontrast/kontrast-21.08.3-r1.ebuild b/app-accessibility/kontrast/kontrast-22.04.1.ebuild
index 4f800d94ca6..ff5f2492ee4 100644
--- a/app-accessibility/kontrast/kontrast-21.08.3-r1.ebuild
+++ b/app-accessibility/kontrast/kontrast-22.04.1.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
KDE_GEAR="true"
-KFMIN=5.84.0
-QTMIN=5.15.2
+KFMIN=5.92.0
+QTMIN=5.15.3
inherit ecm kde.org
DESCRIPTION="Tool to check contrast for colors to verify they are correctly accessible"
@@ -13,7 +13,7 @@ HOMEPAGE="https://apps.kde.org/kontrast/"
LICENSE="GPL-3+"
SLOT="5"
-KEYWORDS="amd64 arm64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
IUSE=""
DEPEND="
@@ -31,8 +31,3 @@ DEPEND="
RDEPEND="${DEPEND}
kde-plasma/xdg-desktop-portal-kde
"
-
-src_prepare() {
- ecm_src_prepare
- ecm_punt_bogus_dep KF5 Declarative
-}
diff --git a/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild b/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild
index 4cd6174dc0d..c4eac836e63 100644
--- a/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild
+++ b/app-accessibility/mbrola-voices/mbrola-voices-0_pre20200331.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/numediart/mbrola-voices/archive/${GIT_COMMIT}.tar.gz
LICENSE="MBROLA-VOICES"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ppc ppc64 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
# This maps the l10n values to the appropriate voices
declare -A voicemap
diff --git a/app-accessibility/mbrola/mbrola-3.3-r1.ebuild b/app-accessibility/mbrola/mbrola-3.3-r1.ebuild
index a3bcb033ce4..2c07d5549f6 100644
--- a/app-accessibility/mbrola/mbrola-3.3-r1.ebuild
+++ b/app-accessibility/mbrola/mbrola-3.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/numediart/MBROLA/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="AGPL-3+"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ppc ppc64 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
RDEPEND="app-accessibility/mbrola-voices"
diff --git a/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild b/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
index 8509d2d383e..7e24f93de77 100644
--- a/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
+++ b/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
@@ -6,7 +6,7 @@ EAPI=7
inherit toolchain-funcs
DESCRIPTION="Braille translator from the National Federation of the Blind"
-HOMEPAGE="http://www.nfb.org/nfbtrans"
+HOMEPAGE="http://www.nfbnet.org/download/nfbtrans.htm"
SRC_URI="http://www.nfb.org/Images/nfb/Products_Technology/nfbtr774.zip"
S="${WORKDIR}"
diff --git a/app-accessibility/orca/Manifest b/app-accessibility/orca/Manifest
index fd5464ad87f..45d977f6c79 100644
--- a/app-accessibility/orca/Manifest
+++ b/app-accessibility/orca/Manifest
@@ -1 +1,3 @@
-DIST orca-40.0.tar.xz 3603368 BLAKE2B 3ac99f32ee496004e568ce61d5862591556bedfd8dc7ef1b707b62b120f1349ae38bbd427b0d3cc67c7be7334bcc46b067ee44a45c51bcdbdf15ee78c0243f64 SHA512 16e15b1cb4b5a2a3d14ddf9e9277e6b0c65e2ab0a7370fd8bfb830bee9d208ef6b5b3d0c19cc2ff6107f3b0cd41e8ae00881033645f7a309ca3ce65aebd73a1b
+DIST orca-41.2.tar.xz 3637836 BLAKE2B bebe1d6e37b88f8e1c97c2ee2a599185c2c14d88fc7d12805bb5a7623b1323ad8688cb846b6e733ef02d58390eb390d1dcd2150a0ed50c8109a7468d62f525c2 SHA512 a2d208193aaac48bf12ca22732b338cdcb5299edc7e7b5c75c88f8dee6ad69762287dbb36c25661c08f904b3848a2ca0e60f2d7153e41594944fab509ff3ef07
+DIST orca-42.0.tar.xz 3658384 BLAKE2B 7b8b83205e9b8c16021cb3582ca8ada195384b5dee4c93ea9707e5f6133f006d21e2b94c6c65131b73ac5d1072eea423d66d5c4b4e5cd6d2be7cc4fdf3c9ad0f SHA512 dee0f65cd1055293d65eabb360b515763501812264440410332d7c0bf58eff63035f8fee07d61e5caed7c860cdce44ca30b187c6fc1c0417102fb577ff02e340
+DIST orca-42.1.tar.xz 3700132 BLAKE2B 1310a1b43da709e9b273ce21374fff9fa30fbf08d1d0e171eb7eff4511ad5e2bcee12a2d6549a4c0c8e21526fb6f4b3b311d0e09fd6bfa863e29168809df9c10 SHA512 98f016087317666c4dcc7543d16ffb93214075d49d3708a1aa3dc8b6dd5d9d85c52dd31e650f4511371061c58d53e73455a09d6d7b4405b8a972b58ff1d7db91
diff --git a/app-accessibility/orca/orca-40.0.ebuild b/app-accessibility/orca/orca-41.2.ebuild
index 64f62b0d74a..3e8ea706bcd 100644
--- a/app-accessibility/orca/orca-40.0.ebuild
+++ b/app-accessibility/orca/orca-41.2.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
-PYTHON_COMPAT=( python3_{8..9} )
+EAPI=8
+PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE="threads(+)"
inherit gnome2 python-single-r1
@@ -12,7 +12,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc x86"
IUSE="+braille"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/app-accessibility/orca/orca-42.0.ebuild b/app-accessibility/orca/orca-42.0.ebuild
new file mode 100644
index 00000000000..b5714207dce
--- /dev/null
+++ b/app-accessibility/orca/orca-42.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit gnome2 python-single-r1
+
+DESCRIPTION="Extensible screen reader that provides access to the desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
+
+LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="+braille"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ >=app-accessibility/at-spi2-atk-2.34:2
+ >=app-accessibility/at-spi2-core-2.36:2[introspection]
+ >=dev-libs/atk-2.36
+ >=dev-libs/glib-2.28:2
+ media-libs/gstreamer:1.0[introspection]
+ >=x11-libs/gtk+-3.6.2:3[introspection]
+ $(python_gen_cond_dep '
+ dev-python/gst-python:1.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
+ ')
+ braille? (
+ $(python_gen_cond_dep '
+ >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
+ dev-libs/liblouis[python,${PYTHON_USEDEP}]
+ ')
+ )
+"
+RDEPEND="${DEPEND}
+ dev-libs/atk[introspection]
+ $(python_gen_cond_dep '
+ >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
+ >=dev-python/pyatspi-2.36[${PYTHON_USEDEP}]
+ dev-python/setproctitle[${PYTHON_USEDEP}]
+ ')
+ x11-libs/libwnck:3[introspection]
+ x11-libs/pango[introspection]
+"
+BDEPEND="
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+# app-text/yelp-tools
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_with braille liblouis)
+}
+
+src_install() {
+ gnome2_src_install
+ python_optimize
+}
diff --git a/app-accessibility/orca/orca-42.1.ebuild b/app-accessibility/orca/orca-42.1.ebuild
new file mode 100644
index 00000000000..b5714207dce
--- /dev/null
+++ b/app-accessibility/orca/orca-42.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit gnome2 python-single-r1
+
+DESCRIPTION="Extensible screen reader that provides access to the desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
+
+LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="+braille"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ >=app-accessibility/at-spi2-atk-2.34:2
+ >=app-accessibility/at-spi2-core-2.36:2[introspection]
+ >=dev-libs/atk-2.36
+ >=dev-libs/glib-2.28:2
+ media-libs/gstreamer:1.0[introspection]
+ >=x11-libs/gtk+-3.6.2:3[introspection]
+ $(python_gen_cond_dep '
+ dev-python/gst-python:1.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.18:3[${PYTHON_USEDEP}]
+ ')
+ braille? (
+ $(python_gen_cond_dep '
+ >=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
+ dev-libs/liblouis[python,${PYTHON_USEDEP}]
+ ')
+ )
+"
+RDEPEND="${DEPEND}
+ dev-libs/atk[introspection]
+ $(python_gen_cond_dep '
+ >=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
+ >=dev-python/pyatspi-2.36[${PYTHON_USEDEP}]
+ dev-python/setproctitle[${PYTHON_USEDEP}]
+ ')
+ x11-libs/libwnck:3[introspection]
+ x11-libs/pango[introspection]
+"
+BDEPEND="
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+# app-text/yelp-tools
+
+src_configure() {
+ gnome2_src_configure \
+ $(use_with braille liblouis)
+}
+
+src_install() {
+ gnome2_src_install
+ python_optimize
+}
diff --git a/app-accessibility/powiedz/powiedz-1.0-r2.ebuild b/app-accessibility/powiedz/powiedz-1.0-r2.ebuild
index 335ec19afe5..4372509bec1 100644
--- a/app-accessibility/powiedz/powiedz-1.0-r2.ebuild
+++ b/app-accessibility/powiedz/powiedz-1.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -19,7 +19,7 @@ PATCHES=(
)
src_compile() {
- emake -f Makefile_plain LDLIBS="-lm" CFLAGS="${CFLAGS}" DEFS="" CC=$(tc-getCC)
+ emake -f Makefile_plain LDLIBS="-lm" CFLAGS="${CFLAGS}" DEFS="" CC="$(tc-getCC)"
}
src_install() {
diff --git a/app-accessibility/speech-dispatcher/Manifest b/app-accessibility/speech-dispatcher/Manifest
index 1ccd3dbb463..27a152842bb 100644
--- a/app-accessibility/speech-dispatcher/Manifest
+++ b/app-accessibility/speech-dispatcher/Manifest
@@ -1 +1,2 @@
+DIST speech-dispatcher-0.11.1.tar.gz 6548489 BLAKE2B fd4e05c51b80991bdd5d27ecf967946cfde98f978462e909f193c14eab51f3cae047d281c3e2896b3ddeeb4e045ceb72f51e5dbfaf3f9ea8a818f8146cb5e625 SHA512 859911d7db5660423bc7911eacbe8e7a9c3104df97478cbbca48ca5fd6ec018113172d49bc66781680433c77b4d2af43578c9b0f11409e2ba7ac618deb31d7cf
DIST speech-dispatcher-0.9.1.tar.gz 1662222 BLAKE2B 03c3d79a9cbbe7e549f638992fb276ab2270a45a057708721666257699479b3feb81daddf26d8032ba3f7b9ab6b836c7f582ee22a532ff018c99820af3864d87 SHA512 35adb353d22b8dff8884cb20f3836f96f4f74b272bbd442d522a10a3d3b91a0da6705e6c216764f295208b5446c2077da620de2a81cafe5a0c4dd826e33753c2
diff --git a/app-accessibility/speech-dispatcher/metadata.xml b/app-accessibility/speech-dispatcher/metadata.xml
index 01aeb733773..0f3199f1125 100644
--- a/app-accessibility/speech-dispatcher/metadata.xml
+++ b/app-accessibility/speech-dispatcher/metadata.xml
@@ -14,6 +14,7 @@
</maintainer>
<use>
<flag name="espeak">Adds support for espeak speech engine</flag>
+ <flag name="espeak-ng">Adds support for espeak-ng speech engine</flag>
<flag name="flite">Adds support for flite speech engine</flag>
</use>
</pkgmetadata>
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild
new file mode 100644
index 00000000000..600860f99b6
--- /dev/null
+++ b/app-accessibility/speech-dispatcher/speech-dispatcher-0.11.1.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit python-r1 systemd
+
+DESCRIPTION="Speech synthesis interface"
+HOMEPAGE="https://freebsoft.org/speechd"
+SRC_URI="https://github.com/brailcom/speechd/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
+IUSE="alsa ao espeak +espeak-ng flite nas pulseaudio python"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="python? ( ${PYTHON_DEPS} )
+ >=dev-libs/dotconf-1.3
+ >=dev-libs/glib-2.36:2
+ dev-libs/libltdl:0
+ >=media-libs/libsndfile-1.0.2
+ alsa? ( media-libs/alsa-lib )
+ ao? ( media-libs/libao )
+ espeak? ( app-accessibility/espeak )
+ espeak-ng? ( app-accessibility/espeak-ng )
+ flite? ( app-accessibility/flite )
+ nas? ( media-libs/nas )
+ pulseaudio? ( media-sound/pulseaudio )"
+RDEPEND="${DEPEND}
+ python? ( dev-python/pyxdg[${PYTHON_USEDEP}] )"
+BDEPEND="
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig"
+
+src_configure() {
+ # bug 573732
+ export GIT_CEILING_DIRECTORIES="${WORKDIR}"
+
+ local myeconfargs=(
+ --disable-python
+ --disable-static
+ --with-baratinoo=no
+ --with-ibmtts=no
+ --with-kali=no
+ --with-pico=no
+ --with-voxin=no
+ $(use_with alsa)
+ $(use_with ao libao)
+ $(use_with espeak)
+ $(use_with espeak-ng)
+ $(use_with flite)
+ $(use_with nas)
+ $(use_with pulseaudio pulse)
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ use python && python_copy_sources
+
+ emake
+
+ if use python; then
+ building() {
+ cd src/api/python || die
+ emake \
+ pyexecdir="$(python_get_sitedir)" \
+ pythondir="$(python_get_sitedir)"
+ }
+ python_foreach_impl run_in_build_dir building
+ fi
+}
+
+src_install() {
+ default
+
+ if use python; then
+ installation() {
+ cd src/api/python || die
+ emake \
+ DESTDIR="${D}" \
+ pyexecdir="$(python_get_sitedir)" \
+ pythondir="$(python_get_sitedir)" \
+ install
+ }
+ python_foreach_impl run_in_build_dir installation
+ python_replicate_script "${ED}"/usr/bin/spd-conf
+ python_foreach_impl python_optimize
+ fi
+
+ find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+ local editconfig="n"
+ if ! use espeak-ng; then
+ ewarn "You have disabled espeak-ng, which is speech-dispatcher's"
+ ewarn "default speech synthesizer."
+ ewarn
+ editconfig="y"
+ fi
+ if ! use pulseaudio; then
+ ewarn "You have disabled pulseaudio support."
+ ewarn "pulseaudio is speech-dispatcher's default audio subsystem."
+ ewarn
+ editconfig="y"
+ fi
+ if [[ "${editconfig}" == "y" ]]; then
+ ewarn "You must edit ${EROOT}/etc/speech-dispatcher/speechd.conf"
+ ewarn "and make sure the settings there match your system."
+ ewarn
+ fi
+}
diff --git a/app-accessibility/yasr/yasr-0.6.9-r1.ebuild b/app-accessibility/yasr/yasr-0.6.9-r1.ebuild
index 3d1abf962f2..9730215c65c 100644
--- a/app-accessibility/yasr/yasr-0.6.9-r1.ebuild
+++ b/app-accessibility/yasr/yasr-0.6.9-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ppc x86"
+KEYWORDS="amd64 ppc ~riscv x86"
IUSE="nls"
BDEPEND="nls? ( sys-devel/gettext )"